|  | Home · All Classes · Modules

# QXmlDTDHandler Class Reference
[QtXml module]

The QXmlDTDHandler class provides an interface to report DTD content of XML data. More...

Inherited by QXmlDefaultHandler.

### Methods

- __init__ (self)
- __init__ (self, QXmlDTDHandler)
- QString errorString (self)
- bool notationDecl (self, QString name, QString publicId, QString systemId)
- bool unparsedEntityDecl (self, QString name, QString publicId, QString systemId, QString notationName)

## Detailed Description

The QXmlDTDHandler class provides an interface to report DTD content of XML data.

If an application needs information about notations and unparsed entities, it can implement this interface and register an instance with QXmlReader.setDTDHandler().

Note that this interface includes only those DTD events that the XML recommendation requires processors to report, i.e. notation and unparsed entity declarations using notationDecl() and unparsedEntityDecl() respectively.

## Method Documentation

### QXmlDTDHandler.__init__ (self)

### QXmlDTDHandler.__init__ (self, QXmlDTDHandler)

### QString QXmlDTDHandler.errorString (self)

This method is abstract and should be reimplemented in any sub-class.

The reader calls this function to get an error string if any of the handler functions returns false.

### bool QXmlDTDHandler.notationDecl (self, QString name, QString publicId, QString systemId)

This method is abstract and should be reimplemented in any sub-class.

The reader calls this function when it has parsed a notation declaration.

The argument name is the notation name, publicId is the notation's public identifier and systemId is the notation's system identifier.

If this function returns false the reader stops parsing and reports an error. The reader uses the function errorString() to get the error message.

### bool QXmlDTDHandler.unparsedEntityDecl (self, QString name, QString publicId, QString systemId, QString notationName)

This method is abstract and should be reimplemented in any sub-class.

The reader calls this function when it finds an unparsed entity declaration.

The argument name is the unparsed entity's name, publicId is the entity's public identifier, systemId is the entity's system identifier and notationName is the name of the associated notation.

If this function returns false the reader stops parsing and reports an error. The reader uses the function errorString() to get the error message.